Name:           glite-lb-doc
Version:        1.4.12
Release:        1%{?dist}
Summary:        gLite Logging and Bookkeeping documentation

Group:          Development/Tools
License:        ASL 2.0
Url:            http://glite.cern.ch
Vendor:         EMI
Source:         http://scientific.zcu.cz/emi/emi.lb.doc/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 6
BuildRequires:  tex(latex)
%else
BuildRequires:  tetex-latex
%endif
BuildRequires:  glite-lb-types

%description
glite-lb-doc is a package containing the complete LB documentation. This
package contains the LB User's Guide (LBUG.pdf), LB Administrator's Guide
(LBAG.pdf), LB Developer's Guide (LBDG.pdf) and LB Test Plan
(LBTP.pdf).


%prep
%setup -q


%build
/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=%{_prefix} --libdir=%{_lib} --project=emi --module lb.doc
make


%check
make check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 0644 LICENSE project/ChangeLog $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}-%{version}/
%dir %{_docdir}/%{name}-%{version}/examples/
%{_docdir}/%{name}-%{version}/examples/*
%{_docdir}/%{name}-%{version}/ChangeLog
%{_docdir}/%{name}-%{version}/LICENSE
%{_docdir}/%{name}-%{version}/README
%{_docdir}/%{name}-%{version}/LBAG.pdf
%{_docdir}/%{name}-%{version}/LBUG.pdf
%{_docdir}/%{name}-%{version}/LBDG.pdf
%{_docdir}/%{name}-%{version}/LBTG.pdf
%{_docdir}/%{name}-%{version}/LBTP.pdf


%changelog
* Tue Mar 26 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 1.4.12-1
- automatically generated package
